--- old/usr/src/cmd/zoneadm/zfs.c	2016-02-15 12:56:04.702317914 -0500
+++ new/usr/src/cmd/zoneadm/zfs.c	2016-02-15 12:56:04.706164175 -0500
@@ -381,8 +381,7 @@
 	    "off") != 0) ||
 	    (nvlist_add_string(props, zfs_prop_to_name(ZFS_PROP_SHARESMB),
 	    "off") != 0)) {
-		if (props != NULL)
-			nvlist_free(props);
+		nvlist_free(props);
 		(void) fprintf(stderr, gettext("could not create ZFS clone "
 		    "%s: out of memory\n"), zonepath);
 		return (Z_ERR);
@@ -988,8 +987,7 @@
 	    "off") != 0) ||
 	    (nvlist_add_string(props, zfs_prop_to_name(ZFS_PROP_SHARESMB),
 	    "off") != 0)) {
-		if (props != NULL)
-			nvlist_free(props);
+		nvlist_free(props);
 		(void) fprintf(stderr, gettext("cannot create ZFS dataset %s: "
 		    "out of memory\n"), zfs_name);
 	}
